RagTime5GraphInternal::SubDocument Class Reference documentation

Public Member Functions | Protected Attributes | List of all members
RagTime5GraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a RagTime5Graph. More...

Inheritance diagram for RagTime5GraphInternal::SubDocument:

## Public Member Functions
| SubDocument (RagTime5Graph &parser, MWAWInputStreamPtr const &input, int zoneId, int partId, bool inButton=false, double width=-1)
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
RagTime5Graph & | m_ragtimeParser
| the main parser
int | m_id
| the zone id
int | m_subId
| the zone sub id
bool | m_inButton
| a flag to know if we need to send the button content
double | m_width
| the zone width if known
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Detailed Description

Internal: the subdocument of a RagTime5Graph.

## Constructor & Destructor Documentation

## ◆ SubDocument()

RagTime5GraphInternal::SubDocument::SubDocument | ( | RagTime5Graph & | parser,
|  | MWAWInputStreamPtr const & | input,
|  | int | zoneId,
|  | int | partId,
|  | bool | inButton = false,
|  | double | width = -1 )
| inline

## ◆ ~SubDocument()

RagTime5GraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## Member Function Documentation

## ◆ operator!=()

bool RagTime5GraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| finalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ parse()

void RagTime5GraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_id

int RagTime5GraphInternal::SubDocument::m_id
| protected

the zone id

## ◆ m_inButton

bool RagTime5GraphInternal::SubDocument::m_inButton
| protected

a flag to know if we need to send the button content

## ◆ m_ragtimeParser

RagTime5Graph& RagTime5GraphInternal::SubDocument::m_ragtimeParser
| protected

the main parser

## ◆ m_subId

int RagTime5GraphInternal::SubDocument::m_subId
| protected

the zone sub id

## ◆ m_width

double RagTime5GraphInternal::SubDocument::m_width
| protected

the zone width if known

The documentation for this class was generated from the following file:

- RagTime5Graph.cxx